using MonoGame.FourEngine.Attributes;
using MonoGame.FourEngine.Entities;
using MonoGame.FourEngine.Sample.Win32.Entities;

namespace MonoGame.FourEngine.Sample.Win32.Scenes
{
    [Default]
    public class TestScene : Scene
    {
        public readonly AlienEntity Alien;
        public readonly HeroEntity Hero;
        public readonly MouseEntity Pointer;
        public readonly CameraEntity Camera;

        public TestScene()
        {
         //   Entities.AddMap(new Map(Resources.Maps.Test));
            AddEntity(Camera = new CameraEntity());
            AddEntity(Alien = new AlienEntity());
            AddEntity(Hero = new HeroEntity());
            AddEntity(Pointer = new MouseEntity());
        }

        public override void OnPrimaryClick(ClickedEventArgs args)
        {
            Hero.SpriteComponent.Position = args.Pointer.Position;
        }
    }
}